/**
Theme Name: Astra
Author: Exo
Author URI: https://exo.uk
Version: 1.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: astra
*/

.nopmargin p {margin-bottom:0px;}


.strongblue strong {color: var(--fl-global-sa-rich-blue);}	
.strongsteel strong {color: var(--fl-global-sa-steel);}	

.smegamenu .fl-tabs.fl-tabs-vertical .fl-tabs-labels {width:33%;}
.smegamenu .fl-tabs-vertical .fl-tabs-panels {width:67%;}
.smegamenu .fl-tabs-panel-content ul {margin: 0 0 0px 0px;}
/* Target the list items inside your panel content */
.smegamenu .fl-tabs-panel-content li {
    list-style: none; /* Remove default bullets */
    position: relative;
    padding-left: 20px;
    margin-bottom: 20px;
}
/* Create the chevron using a pseudo-element */
.smegamenu .fl-tabs-panel-content li::before {
    content: '›';
    position: absolute;
    top: 0px;
    left: 0px;
    font-weight: normal;
    font-size: 200%;
    line-height: 0.4;
}
.smegamenu .fl-tabs .fl-tabs-label:focus {
    outline: 0;
    outline-offset: 0;
    overflow: hidden;
}
.smegamenu .fl-tabs .fl-tabs-labels .fl-tabs-label.fl-tab-active {border-radius: 15px;}

.smegamenu .fl-tabs-label::after {
    content: '›' !important;
    margin-left: 0px;
    position: relative !important;
    top: 4px !important;
    font-weight: normal;
    font-size: 200%;
    line-height: 0;
    background: transparent !important;
}
.smegamenu .fl-tabs-label.fl-tab-active::after {
		content: '›';
    position: relative;
    top: 4px;
		display: inherit !important;
}
.smegamenu .fl-tabs-label {
  display: inline-flex;
  align-items: center;
  white-space: nowrap; /* Forces the whole label to stay on one line */
}
/* content of tabs in Mega Menu */
.smegamenu .fl-tabs-panel-content {padding-right: 180px !important; border-left:1px solid #919191;}


/* Mega Menu fixes & tweaks */
.fl-menu .mega-menu ul.sub-menu li a:not(.fl-button) {padding: 0 !important;}
.fl-menu .mega-menu .fl-module-content a {
  display: inline-block !important; 
  color: var(--fl-global-sa-steel) !important;
}
.fl-menu .mega-menu .fl-module-content a:hover {
  color: var(--fl-global-sa-cyan) !important;
}
.fl-tabs .fl-tabs-labels .fl-tabs-label.fl-tab-active {background: var(--fl-global-sa-cyan); color:#0E1232 !important;width: 92%;}
.fl-tabs .fl-tabs-labels .fl-tabs-label {width: 92%;background: transparent;padding: 10px 0px 10px 20px !important;border-radius: 25px;margin: 10px 10px 10px 0px;}

/* Column arrows using arrowleft in column class */
.arrowleft {position:relative;}
.arrowleft .fl-col-content::before {
    content: "";
    position: absolute;
    left: -1px;
    top: 50%;
    transform: translateY(-50%);
    border-top: 25px solid transparent;
    border-bottom: 25px solid transparent;
    border-left: 40px solid #FFFFFF;
}

[class*="arrow-down-"] {position:relative;}
[class*="arrow-down-"]::after { 
	content: "";
	z-index:99;
  position: absolute;
  left: 50%;top: 100%;
  transform: translateX(-50%);
  border-left: 25px solid transparent;
  border-right: 25px solid transparent;
  border-top: 40px solid #FFFFFF;
}
.arrow-down-top::after {top:0%;} /* Arrow at top of row instead of bottom */
.arrow-down-cyan::after {border-top: 40px solid var(--fl-global-sa-cyan);}	
.arrow-down-steel::after {border-top: 40px solid var(--fl-global-sa-steel);}	
.arrow-down-cloud-grey::after {border-top: 40px solid var(--fl-global-sa-cloud-grey);}	
.arrow-down-orange::after {border-top: 40px solid var(--fl-global-sa-orange);}	
.arrow-down-plum::after {border-top: 40px solid var(--fl-global-sa-plum);}	
.arrow-down-green::after {border-top: 40px solid var(--fl-global-sa-green);}	
.arrow-down-light-green::after {border-top: 40px solid var(--fl-global-sa-light-green);}	
.arrow-down-yellow::after {border-top: 40px solid var(--fl-global-sa-yellow);}	
.arrow-down-light-yellow::after {border-top: 40px solid var(--fl-global-sa-light-yellow);}	
.arrow-down-white::after {border-top: 40px solid #FFFFFF;}	

/* equal-height-buttons css to make buttons left, but all at bottom of columns */
.equal-height-buttons {align-items: flex-start;}

.calloutboxes {}
.noindent ul {margin: 0px 30px !important;}
.tickboxes ul {
    list-style: none;
    margin: 0px !important;
    padding-left: 0;
}
.tickboxes li {margin-bottom:10px;}
.tickboxes li::before {
    content: "✔";
    color: black;
    margin: 0px 10px 20px 0px;
}

/* Team page */

.teamphoto {
  width: 250px;
  height: 250px;
  border-radius: 50%;
  overflow: hidden;
  border:4px solid white;
  background: #fff;              /* important */
  transform: translateZ(0);      /* fixes subtle edge line */
  margin-bottom:40px;
}
.teamphoto img {
  width: 100%;
  height: 100%;
  object-fit: cover;      /* Prevents distortion */
  object-position: center; /* Adjust crop focus if needed */
  display: block;
  transform: scale(1.01);  /* tiny scale removes hairline */
}
.teamname {
    color: var(--fl-global-sa-orange);
    font-weight: 600 !important;
    margin: 20px 0px 5px 0px !important;
}
.teamjob {
	color: #FFFFFF;
}
.teambio hr {    
	border: none;height: 1px;
	margin:20px 0px;
  background-color: var(--fl-global-sa-orange);
}
.teambio {color: #cccccc;line-height: 1.3;}
.teambox .uabb-blog-posts .slick-next i, .teambox .uabb-blog-posts .slick-prev i {font-size:40px;}
.teambox .uabb-blog-posts .slick-next {
	top:auto;
	bottom:-25px !important;
	left:50%;
}
.teambox .uabb-blog-posts .slick-prev {
	top:auto;
	bottom:-25px !important;
	right:50%;
}	
.teambox .dashicons-arrow-left-alt:before {font-size:40px;}
.teambox .dashicons-arrow-right-alt:before {font-size:40px;}

#magnifyicon {}




/* SEOPRESS COOKIE POPUP */
.seopress-user-consent {
	width: 420px !important;
	bottom: 10px !important;
	left: 20px !important;
	padding: 25px !important;    
	box-shadow: 0 0 4px 0;
  -webkit-box-shadow: 0 0 4px 0 rgba(0, 0, 0, .35);
  -moz-box-shadow: 0 0 4px 0 rgba(0,0,0,.35);
}	
/* desktop only */
@media screen and (min-width: 768px){.seopress-user-consent {transform: translate(0, 0) !important;}}
.seopress-user-consent button {margin:4px !important;border-radius:5px;font-weight: 500; min-width:50px !important;}	
#seopress-user-consent-accept,#seopress-user-consent-close {min-width:100px;}
.seopress-edit-choice {
	left: 1% !important; 
	bottom: 1% !important;    
	box-shadow: none;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
}    
.seopress-user-consent p {font-size: 16px !important;line-height: 1.3;}
.seopress-user-consent button:hover {background: #4d88c3;}
@media screen and (max-width: 768px){
	.seopress-user-consent {width: 100% !important;bottom: 4px !important;left: 50% !important;padding: 10px !important;}
	.seopress-edit-choice {left: 0% !important;bottom: 0% !important;}
	.seopress-user-consent p {font-size:14px !important;}
}

.red {color:red !important;}




.overflowlottie {overflow:hidden;}
/* Make sure the row is the positioning context */
.introrightbg {
    position: absolute;
    top: 10%;
    right: -8%;
    width: 60vw;
    height: 100%;
    z-index: 1;
    margin: 0px;
}

.highzindex {z-index:99; position:relative;}




/* mega-menu-overlay, functions.php inserts this div into the footer */
#mega-menu-overlay {
    position: fixed;top: 0;left: 0;
    width: 100vw;height: 100vh;
    background: rgba(215, 247, 247, 0.75);
    z-index: 99990; /* Very high, but below the menu */
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease;
    pointer-events: none;
}
#mega-menu-overlay.overlay-active {opacity: 1;visibility: visible;}
.fl-row.elevate-header-row {position: relative !important;z-index: 99999 !important;}

